Package org.tanukisoftware.wrapper.jmx

# Interface WrapperManagerTestingMBean

All Known Implementing Classes:
  `WrapperManagerTesting`

public interface WrapperManagerTestingMBean
This MBean interface provides access to a number of actions which can be useful for testing how well an application responds to JVM crashes. It has been broken out frtom the WrapperManagerMBean interface so system administrators can easily disable the testing functions.

## Method Summary

Modifier and Type
Method
Description
`void`
`accessViolationNative()`
Cause an access violation within native JNI code.
`void`
`appearHung()`
Causes the WrapperManager to go into a state which makes the JVM appear to be hung when viewed from the native Wrapper code.
`void`
`stopImmediate(int exitCode)`
Tells the native wrapper that the JVM wants to shut down and then promptly halts.

## Method Details

### appearHung

void appearHung()
Causes the WrapperManager to go into a state which makes the JVM appear to be hung when viewed from the native Wrapper code. Does not have any effect when the JVM is not being controlled from the native Wrapper.

### accessViolationNative

void accessViolationNative()
Cause an access violation within native JNI code. This currently causes the access violation by attempting to write to a null pointer.

### stopImmediate

void stopImmediate(int exitCode)
Tells the native wrapper that the JVM wants to shut down and then promptly halts. Be careful when using this method as an application will not be given a chance to shutdown cleanly.

Parameters:
  `exitCode` - The exit code that the Wrapper will return when it exits.